import request from '@/utils/request'

// 查询工程用料列表
export function listEngineeringMaterial(query) {
  return request({
    url: '/zdsz/engineeringMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询工程用料详细
export function getEngineeringMaterial(id) {
  return request({
    url: '/zdsz/engineeringMaterial/' + id,
    method: 'get'
  })
}

// 新增工程用料
export function addEngineeringMaterial(data) {
  return request({
    url: '/zdsz/engineeringMaterial',
    method: 'post',
    data: data
  })
}

// 修改工程用料
export function updateEngineeringMaterial(data) {
  return request({
    url: '/zdsz/engineeringMaterial',
    method: 'put',
    data: data
  })
}

// 删除工程用料
export function delEngineeringMaterial(id) {
  return request({
    url: '/zdsz/engineeringMaterial/' + id,
    method: 'delete'
  })
}
