import request from '@/utils/request'

// 查询照片列表
export function listEngiineeringPhoto(query) {
  return request({
    url: '/zdsz/engiineeringPhoto/list',
    method: 'get',
    params: query
  })
}

// 查询照片详细
export function getEngiineeringPhoto(id) {
  return request({
    url: '/zdsz/engiineeringPhoto/' + id,
    method: 'get'
  })
}

// 新增照片
export function addEngiineeringPhoto(data) {
  return request({
    url: '/zdsz/engiineeringPhoto',
    method: 'post',
    data: data
  })
}

// 修改照片
export function updateEngiineeringPhoto(data) {
  return request({
    url: '/zdsz/engiineeringPhoto',
    method: 'put',
    data: data
  })
}

// 删除照片
export function delEngiineeringPhoto(id) {
  return request({
    url: '/zdsz/engiineeringPhoto/' + id,
    method: 'delete'
  })
}
