import request from '@/utils/request'

// 查询工程审核列表
export function listEngineeringReview(query) {
  return request({
    url: '/zdsz/engineeringReview/list',
    method: 'get',
    params: query
  })
}

// 查询工程审核详细
export function getEngineeringReview(id) {
  return request({
    url: '/zdsz/engineeringReview/' + id,
    method: 'get'
  })
}

// 新增工程审核
export function addEngineeringReview(data) {
  return request({
    url: '/zdsz/engineeringReview',
    method: 'post',
    data: data
  })
}

// 修改工程审核
export function updateEngineeringReview(data) {
  return request({
    url: '/zdsz/engineeringReview',
    method: 'put',
    data: data
  })
}

// 删除工程审核
export function delEngineeringReview(id) {
  return request({
    url: '/zdsz/engineeringReview/' + id,
    method: 'delete'
  })
}
