import request from '@/utils/request'

// 查询用料统计列表
export function listMaterialStatistics(query) {
  return request({
    url: '/zdsz/materialStatistics/list',
    method: 'get',
    params: query
  })
}

// 查询用料统计详细
export function getMaterialStatistics(id) {
  return request({
    url: '/zdsz/materialStatistics/' + id,
    method: 'get'
  })
}

// 新增用料统计
export function addMaterialStatistics(data) {
  return request({
    url: '/zdsz/materialStatistics',
    method: 'post',
    data: data
  })
}

// 修改用料统计
export function updateMaterialStatistics(data) {
  return request({
    url: '/zdsz/materialStatistics',
    method: 'put',
    data: data
  })
}

// 删除用料统计
export function delMaterialStatistics(id) {
  return request({
    url: '/zdsz/materialStatistics/' + id,
    method: 'delete'
  })
}
